//---------------------------------------------------------------------------
//
// Evj        Model the evolution of DNA binding site recognition
//
// Module:    Msg, display messages to the user.
// Author:    Paul C. Anagnostopoulos
// Created:   1 April 2005
//
// This computer program fits the description in the U.S. Copyright Act
// of a "United States Government work." It was written as a part of
// my/our official duties as a Government employee. This means it cannot
// be copyrighted. The program is freely available for use without a
// copyright notice, and there are no restrictions on its use, now or
// subsequently. We retain no rights in the program. Please acknowledge
// the source of this code in any releases you make.
//
//---------------------------------------------------------------------------


import java.awt.*;
import javax.swing.*;


// This class provides an error and warning display for other parts of
// Evj. We do nothing other than put up message dialogs.

public class Msg
{
  public static void error (Component parent, String text)
  {
    JOptionPane.showMessageDialog(parent,
                                  text,
                                  "Error",
                                  JOptionPane.ERROR_MESSAGE);
  }

  public static void warning (Component parent, String text)
  {
    JOptionPane.showMessageDialog(parent,
                                  text,
                                  "Warning",
                                  JOptionPane.WARNING_MESSAGE);
  }
}
